> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> List all documents in a vector store.



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/vector_stores/{vector_store_id}/documents
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/vector_stores/{vector_store_id}/documents:
    get:
      tags:
        - vector_stores
      summary: List Documents
      description: List all documents in a vector store.
      operationId: list_documents_api_v1_vector_stores__vector_store_id__documents_get
      parameters:
        - name: vector_store_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Vector Store Id
        - name: context_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_VectorStoreDocument_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PaginatedResult_VectorStoreDocument_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/VectorStoreDocument'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[VectorStoreDocument]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VectorStoreDocument:
      properties:
        id:
          type: string
          title: Id
        vector_store_id:
          type: string
          format: uuid
          title: Vector Store Id
        file_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: File Id
        usage_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Usage Bytes
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - vector_store_id
      title: VectorStoreDocument
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````